Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

Version 1 Current »

GeoMesa 1.3.0 the first minor the GeoMesa 1.3 line and includes Nearly 200 Fixes and Improvements since the 1.2.x line!

Key Features

  • Deep integration with Spark SQL so you can run PostGIS SQL against GeoMesa!

  • Index API refactoring and generalization:

    • These improvements speed up the Accumulo index
    • The HBase and Cassandra implementations now share code with the Accumulo implementation.
  • Support for GeoJson & Json Attributes
    • Attributes can now be ingested as "json" attributes and store arbitrary Json blobs
    • GeoJson documents can be ingested and indexed automatically using the GeoMesa Native API
    • Support for JsonPath predicates for both Json attributes and GeoJson documents
  • XML and Java system properties (-D options) are now supported for GeoMesa
  • GeoHash (st-idx) Indexes are now removed
  • Guava caches replaced with Caffeine for performance and compatibility
  • Various command line tools fixes and upgrades

Versions & Compatibility

1.2 Maintenance Releases - GeoMesa will continue to cut releases on the 1.2.x line of GeoMesa targeted at bugfixes and stability improvements for existing Accumulo 1.6+ installations. Features may be backported from 1.3 to 1.2, but in general new functionality will be targeted to 1.3 in order to balance stability with innovation.

GeoMesa 1.3 Compatibility- The 1.3 line of GeoMesa will be a stable line of GeoMesa releases that is aimed at providing as much API compatibility as possible. Our goal is to provide minor version interoperability meaning that any 1.3.x client or server code can interoperate. This compatibility feature will not be available during the 1.3.0 milestone release phase.

GeoMesa 1.2 Compatibility- The 1.2 line of GeoMesa releases provides what we have termed data compatibility, meaning that data ingested with previous versions can still be used with new versions of the GeoMesa JARs. For example, data ingested with 1.2.0 can be read and written by 1.2.6. This compatibility requires that the GeoServer plugin, tools, and distributed runtime JARs all have to match in their minor version numbers.

Upgrading

  • GeoMesa 1.3.0 supports upgrade in place from 1.2.x versions.
  • Procedure:
    • Ensure that the GeoServer plugins, distributed runtime, and tools JARs are all of the same client version.
    • Shut down GeoServer.
    • Upgrade the distributed runtime in Accumulo as well as the Geomesa JARs in GeoServer.
  • No labels